org.apache.cassandra.hadoop.pig

## Class CqlNativeStorage

- java.lang.Object
- - org.apache.pig.LoadFunc
  - - org.apache.cassandra.hadoop.pig.AbstractCassandraStorage
    - - org.apache.cassandra.hadoop.pig.CqlStorage
      - - org.apache.cassandra.hadoop.pig.CqlNativeStorage

All Implemented Interfaces:
  org.apache.pig.LoadMetadata, org.apache.pig.StoreFuncInterface

    public class CqlNativeStorage
    extends CqlStorage

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.hadoop.pig.AbstractCassandraStorage

`AbstractCassandraStorage.CfInfo, AbstractCassandraStorage.MarshallerType`

### Field Summary

### Fields inherited from class org.apache.cassandra.hadoop.pig.CqlStorage

`columns, outputQuery, pageSize, whereClause, writer`

### Fields inherited from class org.apache.cassandra.hadoop.pig.AbstractCassandraStorage

`column_family, conf, DEFAULT_INPUT_FORMAT, DEFAULT_OUTPUT_FORMAT, initHostAddress, inputFormatClass, keyspace, loadSignature, outputFormatClass, PARTITION_FILTER_SIGNATURE, partitionerClass, password, PIG_INITIAL_ADDRESS, PIG_INPUT_FORMAT, PIG_INPUT_INITIAL_ADDRESS, PIG_INPUT_PARTITIONER, PIG_INPUT_RPC_PORT, PIG_INPUT_SPLIT_SIZE, PIG_OUTPUT_FORMAT, PIG_OUTPUT_INITIAL_ADDRESS, PIG_OUTPUT_PARTITIONER, PIG_OUTPUT_RPC_PORT, PIG_PARTITIONER, PIG_RPC_PORT, rpcPort, splitSize, storeSignature, usePartitionFilter, username`

### Constructor Summary

Constructors
Constructor and Description
`CqlNativeStorage()`
`CqlNativeStorage(int pageSize)`

### Method Summary

Methods
`org.apache.pig.data.Tuple` `getNext()` get next row
`void` `prepareToRead(org.apache.hadoop.mapreduce.RecordReader reader, org.apache.pig.backend.hadoop.executionengine.mapReduceLayer.PigSplit split)`
`void` `setLocation(java.lang.String location, org.apache.hadoop.mapreduce.Job job)` set read configuration settings

### Methods inherited from class org.apache.cassandra.hadoop.pig.CqlStorage

`cqlColumnToObj, getColumnMetadata, getKeysMeta, getSchema, nullToBB, prepareToWrite, putNext, setPartitionFilter, setStoreLocation, setTupleValue`

### Methods inherited from class org.apache.cassandra.hadoop.pig.AbstractCassandraStorage

`cassandraToObj, cfdefFromString, cfdefToString, checkSchema, cleanupOnFailure, cleanupOnSuccess, columnToTuple, composeComposite, getCfInfo, getCfInfo, getCFMetaData, getColumnMeta, getDefaultMarshallers, getFullyQualifiedClassName, getIndexes, getIndexType, getInputFormat, getOutputFormat, getPartitionKeys, getPigType, getQueryMap, getStatistics, getValidatorMap, initSchema, objToBB, parseType, relativeToAbsolutePath, relToAbsPathForStoreLocation, setConnectionInformation, setStoreFuncUDFContextSignature, setTupleValue, setUDFContextSignature`

### Methods inherited from class org.apache.pig.LoadFunc

`getAbsolutePath, getLoadCaster, getPathStrings, join, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CqlNativeStorage

    public CqlNativeStorage()

#### CqlNativeStorage

    public CqlNativeStorage(int pageSize)

Parameters:
  `pageSize` - limit number of CQL rows to fetch in a thrift request

### Method Detail

#### prepareToRead

    public void prepareToRead(org.apache.hadoop.mapreduce.RecordReader reader,
                     org.apache.pig.backend.hadoop.executionengine.mapReduceLayer.PigSplit split)

Overrides:
  `prepareToRead` in class `CqlStorage`

#### getNext

    public org.apache.pig.data.Tuple getNext()
                                      throws java.io.IOException

get next row

Overrides:
  `getNext` in class `CqlStorage`
Throws:
  `java.io.IOException`

#### setLocation

    public void setLocation(java.lang.String location,
                   org.apache.hadoop.mapreduce.Job job)
                     throws java.io.IOException

set read configuration settings

Overrides:
  `setLocation` in class `CqlStorage`
Throws:
  `java.io.IOException`